PETSc version 3.15.5
Fix/Edit manual page

# ISConcatenate

Forms a new IS by locally concatenating the indices from an IS list without reordering.

### Synopsis

    #include "petscis.h"
    PetscErrorCode ISConcatenate(MPI_Comm comm, PetscInt len, const IS islist[], IS *isout)

Collective.

### Input Parameter

| comm | - communicator of the concatenated IS.
| len | - size of islist array (nonnegative)
| islist | - array of index sets

### Output Parameters

| isout | - The concatenated index set; empty, if len == 0.

### Notes

The semantics of calling this on comm imply that the comms of the members if islist also contain this rank.

### See Also

ISDifference(), ISSum(), ISExpand()

### Level

intermediate

### Location

src/vec/is/is/utils/isdiff.c

### Examples

src/ksp/ksp/tutorials/ex43.c.html
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages